### Struct

# GtkTreeIter

deprecated: 4.10

#### Description [src]

    struct GtkTreeIter {
      int stamp;
      gpointer user_data;
      gpointer user_data2;
      gpointer user_data3;
    }

The `GtkTreeIter` is the primary structure for accessing a `GtkTreeModel`. Models are expected to put a unique integer in the `stamp` member, and put model-specific data in the three `user_data` members.

###### Structure members

`stamp`

  A unique stamp to catch invalid iterators.

`user_data`

  Model-specific data.

`user_data2`

  Model-specific data.

`user_data3`

  Model-specific data.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Instance methods

###### gtk_tree_iter_copy

Creates a dynamically allocated tree iterator as a copy of `iter`.

deprecated: 4.10

###### gtk_tree_iter_free

Frees an iterator that has been allocated by gtk_tree_iter_copy().

deprecated: 4.10